Supported platforms

This page describes the supported platforms for Bamboo 9.4. If you're looking for information about the platforms supported by another version of Bamboo, select the version from the menu located in the top-right corner of this page.

See also:

Definitions

(tick) Supported — you can use Bamboo with this platform.

(info) Limited — you can evaluate Bamboo on this platform, but you can't use it to run a production Bamboo site. 

(warning) Deprecated — support for this platform will end in an upcoming release.

Java


Oracle JDK

(tick) Java 17

(tick) Java 11

Open JDK

(tick) Java 17

(tick) Java 11

Adoptium OpenJDK

(tick) Java 17

(tick) Java 11

Good to know:

  • Once the JDK is installed, you will need to set the JAVA_HOME environment variable, pointing to the root directory of the JDK. Some JDK installers set this automatically (check by typing 'echo %JAVA_HOME%' in a command prompt, or 'echo $JAVA_HOME' in a shell). You need to do this before installing Bamboo, as Bamboo will automatically configure JDK capabilities based on the system environment variables on your machine.
  • For Bamboo server, it is not enough to have just the JRE. Please ensure that you have the full JDK.
  • JVM implementations other than HotSpot are not supported, and JDKs from other vendors have not been tested.
  • You only need to run the agent and server using a supported JDK. Agents can build software with any JDK version. 
  • AdoptOpenJDK is now known as Adoptium.

Operating systems


Data Center nodes

(tick) Microsoft Windows 

(tick) Linux

Agents

(tick) Microsoft Windows 

(tick) Linux

(tick) macOS (including Apple silicon)

Good to know: In Linux, create a dedicated user to run Bamboo. Bamboo runs as the user it is invoked as and can potentially be abused. See Installing Bamboo on Linux.

Databases


MySQL


(tick) MySQL 8

(warning) MySQL 5.7 DEPRECATED

Good to know:

PostgreSQL


(tick) PostgreSQL 16

(tick) PostgreSQL 15

(tick) PostgreSQL 14

(tick) PostgreSQL 13

(tick) PostgreSQL 12

(warning) PostgreSQL 11 DEPRECATED

Good to know:

  • PostgreSQL is supported when used with the JDBC driver bundled with Bamboo.
  • If you are using PostgreSQL and have upgraded GNU libc to version 2.28 or higher, we recommend rebuilding indices before you start Bamboo.

Microsoft SQL Server


(tick) SQL Server 2022

(tick) SQL Server 2019

(tick) SQL Server 2017

Good to know: SQL Server is supported when used with Microsoft's JDBC driver

Oracle


(tick) Oracle 19c

(warning) Oracle 12c R2 DEPRECATED

Good to know:

  • The Oracle JDBC driver is no longer bundled with Bamboo. Install the package that matches your versions of Oracle DBMS and JDK. The recommended version of the driver is JDBC 21.x or later. For more information, see Oracle JDBC Frequently Asked Questions.
  • Bamboo doesn't support database environment clusters or SCAN VIP Adresses.
  • Rate limiting is incompatible with Oracle JDBC driver versions earlier than 21.x. If you're using or plan to use Bamboo with Oracle Database, make sure to install or upgrade to Oracle JDBC version 21.x or later. For more information, see Failed to enable rate limiting in Bamboo in the Bamboo Knowledge Base.

H2


(info) No longer bundled with Bamboo since version 9.4.2.

Good to know:

  • The JDBC driver for the H2 database engine is no longer bundled with Bamboo 9.4.2 and newer. If you want to evaluate Bamboo using the H2 database, see Connect Bamboo to an H2 database.

  • Atlassian still provides the H2 database for plugin developers through the Atlassian Maven Plugin Suite (AMPS).

  • Using the H2 database with production instances of Bamboo is discouraged. Due to its susceptibility to data loss during system crashes, H2 is for evaluation purposes only. For production environments, configure Bamboo to use an external database. Learn how to connect Bamboo to an external database.

Web browsers


(tick) Mozilla Firefox

(tick) Chrome

(tick) Safari

(tick) Microsoft Edge

Good to know: If not specified otherwise, the latest stable version supported.

Source repositories


Git

(tick) 2.8 and later

(warning) Perforce DEPRECATED

Subversion

(tick) 1.5

(tick) 1.6

(tick) 1.7

(tick) 1.8

(tick) 1.9

(tick) 1.10

Good to know: Bamboo supports Subversion 1.7 but uses the Subversion 1.6 working copy format by default to keep backwards compatibility with older Subversion working copies. If your plans need to use the Subversion 1.7 working copy format, set it in the bamboo.svn.wc.format system property.

Learn how to configure Bamboo to support the Subversion 1.7 working copy format.

Docker


Docker for Mac

(tick) 23.0 or later

Docker for Linux:

(tick) 23.0 or later


Kubernetes


kubectl

(tick) 1.24 or later 


Infrastructure

Application servers

  • Bamboo runs on a bundled Apache Tomcat and it's the only supported configuration.

Internet protocols

  • You can run Bamboo in both IPv4 and IPv6 environments.
  • Raw IPv6 addresses are not always recognized. See the IPv6 in Bamboo for limitations and known issues. 

Agents and custom EC2 images

Atlassian doesn't provide support for customized images. Bamboo provides flexibility to use customized machine images, but it's impossible for us to support all individual configurations.

Use Bamboo stock images as the base for all image customizations to ensure a minimal level of consistency of your Elastic Bamboo setup.

Last modified on Feb 1, 2024

Was this helpful?

Yes
No
Provide feedback about this article
Powered by Confluence and Scroll Viewport.